Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.env.jsp
Class ELContext

    java.lang.Object
      org.apache.commons.scxml.env.SimpleContext
          org.apache.commons.scxml.env.jsp.ELContext

All Implemented Interfaces:
  Context, javax.servlet.jsp.el.VariableResolver

Direct Known Subclasses:
  RootContext

public class ELContext
extends SimpleContext
implements javax.servlet.jsp.el.VariableResolver

EL Context for SCXML interpreter.

Constructor Summary
`ELContext()` Constructor.
`ELContext(Context parent)` Constructor.

Method Summary
`Object` | `resolveVariable(String pName)` Resolves the specified variable.

Methods inherited from class org.apache.commons.scxml.env.SimpleContext
`get, getLog, getParent, getVars, has, reset, set, setLocal, setLog, setVars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELContext

    public ELContext()

  Constructor.

### ELContext

    public ELContext(Context parent)

  Constructor.

Parameters:
  `parent` - A parent Context, can be null

Method Detail

### resolveVariable

    public Object resolveVariable(String pName)
                           throws javax.servlet.jsp.el.ELException

  Resolves the specified variable. Returns null if the variable is not found.

  Specified by:
    `resolveVariable` in interface `javax.servlet.jsp.el.VariableResolver`
  Parameters:
    `pName` - The variable to resolve
  Returns:
    Object The value of the variable, or null, if it does not exist
  Throws:
    `javax.servlet.jsp.el.ELException` - While resolving the variable
  See Also:
    `VariableResolver.resolveVariable(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2006 The Apache Software Foundation. All Rights Reserved.